# dask.dataframe.Series.memory_usage_per_partition

Series.memory_usage_per_partition(index=True, deep=False)

  Return the memory usage of each partition

  Parameters:
    index bool, default True

      Specifies whether to include the memory usage of the index in returned Series.

    deep bool, default False

      If True, introspect the data deeply by interrogating `object` dtypes for system-level memory consumption, and include it in the returned values.

  Returns:
    Series

      A Series whose index is the partition number and whose values are the memory usage of each partition in bytes.